﻿@media (min-width:700px) {
    * {
        font-family: Vazir;
    }

    .reveal .slide-background-content {
        background-size: contain;
    }

    .company-title-en {
        font-family: Stencil;
        font-size: 1em;
        color: #000;
        line-height: 1.5;
        opacity: 0;
        transform: translateY(80px);
        transition: all 2s ease;
    }

    .company-title-fa {
        position: absolute;
        top: 0.3em;
        left: 0;
        right: 0;
        justify-self: center;
        z-index: 99;
        width: 11em;
    }

    .company-logo {
        width: 6em;
        transform: scale(0);
        transition: all 1s ease;
        object-fit: contain;
        justify-self: center;
    }

    .about-us {
        position: absolute;
        top: 0em;
        right: 0;
        font-size: 2em;
        width: 100%;
        text-align: center;
        padding: 0.4em 0;
        transition: all 1s ease;
        opacity: 0;
        transform: translateX(-20em);
        text-align: center;
        background-position: center;
    }.about-us img{
         height:0.5em
     }

    .about-us-p, .madan-p {
        line-height: 1.7;
        position: absolute;
        bottom: 0em;
        font-family: Vazir;
        text-align: right;
        background: linear-gradient(0deg, #fff, transparent);
        padding: 5em 1em;
        color: #000;
        padding-bottom: 1em;
        font-size: 0.45em;
    }
        .about-us-p img {
            height: 2em;
            width: 100%;
            object-fit: contain;
        }

    #about-us {
        height: 100%
    }
    .reveal .slides section {
        height:100%
    }

    .hint {
        font-size: 0.3em;
        right: 1em;
        position: absolute;
        top: 5em;
        font-family: Vazir !important;
        text-align: right;
        color: #f7a31d !important;
    }
    .itembox{
        display:flex;
        flex-wrap:wrap;
        padding-top:5em;
        gap:0.5em
    }
        .itembox.flexible {
            display: flex;
            flex-wrap: wrap;
            gap: 0;
            justify-content: center;
        }

        .itembox .slap {
            padding: 0.4em 0;
            width: 100%;
            color: #fff;
            font-size: 0.4em;
            font-family: Vazir;
            background: linear-gradient(0,#666,#000);
            margin-bottom: 0.4em;
            border-radius: 2em;
            flex: 0 0 calc(50% - 1em);
        }

        .itembox.flexible .slap {
            background: transparent;
            border: none;
            flex: 0 0 calc(40% - 1em);
        }

    .itembox .slap p {
        padding-bottom: 0.5em;
        border-bottom: 2px solid #f7a31d;
        font-weight: 900;
    }

    .itembox .slap img {
        width: 100%;
        height:8em;
        object-fit:contain;
    }

    .footer {
        line-height: 1.7;
        position: absolute;
        bottom: 0em;
        padding-bottom: 1em;
        left: 0;
        right: 0;
        opacity: 0;
        transform: translateX(+20em);
        transition: all 1s ease;
        transition-delay: 1s;
        height:1em;
    }

    .itembox.contact-us {
        position: absolute;
        top: 0em;
    }

        .itembox.contact-us .slap {
            background: linear-gradient(0, #ffffff,#a6a6a6);
            color: #000;
            border: none;
            padding: 0.5em 0;
            border-radius: 1em;
            box-shadow: 0 8px 30px rgba(0, 0, 0, 0.354);
        }.madan-p{
             bottom:2em;
         }

    .left_anim {
        opacity: 0;
        transform: translateX(-30em);
        transition: all 1s ease;
    }

    .right_anim {
        opacity: 0;
        transform: translateX(+30em);
        transition: all 1s ease;
        transition-delay: 1s;
    }

    .zoom_anim {
        transform: scale(0);
        transition: all 1s ease;
    }

    .madanpicture {
        position: absolute;
        right: 0em;
        left: 0em;
        width: 100%;
        height: 11em;
        top: 2em;
    }
    .qrscan {
        height: 4em;
        margin-top: 4em;
    }.end-0{
         padding-top:0;
     }
    .reveal .present .company-title-en {
        opacity: 1;
        transform: translateY(0);
    }

    .reveal .present .company-logo {
        transform: scale(1);
    }

    .reveal .present .about-us, .reveal .present .left_anim, .reveal .present .right_anim, .reveal .present .footer {
        opacity: 1;
        transform: translateX(0);
    }

    .reveal .present .zoom_anim {
        transform: scale(1);
    }
}
@media (max-width:500px) {
    * {
        font-family: Vazir;
    }
    .reveal .slide-background-content {
        background-size: cover;
    }

    .company-title-en {
        font-family: Stencil;
        font-size: 2em;
        color: #000;
        line-height: 1.5;
        opacity: 0;
        transform: translateY(80px);
        transition: all 2s ease;
    }

    .company-title-fa {
        position: absolute;
        top: 1em;
        left: 4px;
        right: 4px;
        z-index: 99;
    }

    .company-logo {
        width: 20em;
        transform: scale(0);
        transition: all 1s ease;
    }

    .about-us {
        position: absolute;
        top: -5em;
        right: 0;
        font-size: 2em;
        width: 100%;
        text-align: center;
        padding: 0.4em 0;
        transition: all 1s ease;
        opacity: 0;
        transform: translateX(-20em);
    }

    .about-us-p,.madan-p {
        line-height: 1.7;
        position: absolute;
        bottom: -12.5em;
        font-family: Vazir;
        text-align: right;
        background: linear-gradient(0deg, #fff, transparent);
        padding: 5em 1em;
        color: #000;
        padding-bottom: 1em;
        font-size: 1.1em;
    }

    .hint {
        font-size: 0.5em;
        right: 1em;
        position: absolute;
        top: 5em;
        font-family: Vazir !important;
        text-align: right;
        color: #f7a31d !important;
    }

    .itembox.flexible {
        display: flex;
        flex-wrap: wrap;
    }

    .itembox .slap {
        padding: 0.8em 0;
        width: 100%;
        color: #fff;
        font-size: 1.2em;
        font-family: Vazir;
        background: linear-gradient(0,#666,#000);
        margin-bottom: 0.5em;
        border-radius: 2em;
    }

    .itembox.flexible .slap {
        flex: 0 0 calc(50% - 10px);
        background: transparent;
        border: none;
    }

    .itembox .slap p {
        padding-bottom: 0.5em;
        border-bottom: 2px solid #f7a31d;
        font-weight: 900;
    }

    .itembox .slap img {
        width: 100%;
    }

    .footer {
        line-height: 1.7;
        position: absolute;
        bottom: -12.5em;
        padding-bottom: 1em;
        font-size: 1.1em;
        left: 0;
        right: 0;
        opacity: 0;
        transform: translateX(+20em);
        transition: all 1s ease;
        transition-delay: 1s;
    }

    .itembox.contact-us {
        position: absolute;
        top: -3.5em;
    }

        .itembox.contact-us .slap {
            background: linear-gradient(0, #ffffff,#a6a6a6);
            color: #000;
            border: none;
            padding: 0.5em 0;
            border-radius: 1em;
            box-shadow: 0 8px 30px rgba(0, 0, 0, 0.354);
        }.madan-p{
             top:0;
         }

    .left_anim {
        opacity: 0;
        transform: translateX(-30em);
        transition: all 1s ease;
    }

    .right_anim {
        opacity: 0;
        transform: translateX(+30em);
        transition: all 1s ease;
        transition-delay: 1s;
    }

    .zoom_anim {
        transform: scale(0);
        transition: all 1s ease;
    }

    .madanpicture {
        position: absolute;
        right: 0em;
        left: 0em;
        width: 100%;
        top: -6em;
    }

    .reveal .present .company-title-en {
        opacity: 1;
        transform: translateY(0);
    }

    .reveal .present .company-logo {
        transform: scale(1);
    }

    .reveal .present .about-us, .reveal .present .left_anim, .reveal .present .right_anim, .reveal .present .footer {
        opacity: 1;
        transform: translateX(0);
    }

    .reveal .present .zoom_anim {
        transform: scale(1);
    }
}
